module Ecom
  module Model
    class Project < ApplicationRecord
      belongs_to :employer, class_name: 'Ecom::Model::Stakeholder'
      belongs_to :contractor, class_name: 'Ecom::Model::Stakeholder'
      belongs_to :consultant, class_name: 'Ecom::Model::Stakeholder'
      belongs_to :project_manager, class_name: 'Ecom::Model::Stakeholder'
      belongs_to :task_template
      belongs_to :currency
  
      validates :name, :location, :contract_number, :date_contract_signed, :commencement_date, :completion_date,
                :contract_amount, :advance_payment, :retention, presence: true
    end
  end
end
