class CreateEcomModelWorkProductTemplates < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_work_product_templates do |t|
      t.string :code, null: false, unique: true
      t.string :name, null: false, unique: true
      t.string :description
      t.string :remark
      t.references :task_template, index: { name: 'tt_on_wpt_indx' }

      t.timestamps
    end

    add_foreign_key :ecom_model_work_product_templates, :ecom_model_task_templates, column: :task_template_id
  end
end
