class CreateEcomModelCrews < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_crews do |t|
      t.string :name, null: false
      t.string :phone
      t.string :email
      t.string :qualification, null: false
      t.string :employment, null: false
      t.float :wage
      t.references :crew_type, index: { name: 'crew_on_ct_indx' }

      t.timestamps
    end

    add_foreign_key :ecom_model_crews, :ecom_model_resource_types, column: :crew_type_id
  end
end
