module Ecom
  module Model
    class ResourceType < ApplicationRecord
      validates :code, :name, :base_unit, :type, presence: true
      validates :code, uniqueness: { scope: :type }
      validates :name, uniqueness: { scope: :type }
    end
  end
end
