module Ecom
  module Model
    class WorkComponentTemplate < ApplicationRecord
      belongs_to :work_product_template
      belongs_to :task_template

      validates :code, :name, presence: true
      validates :code, uniqueness: { scope: %i[work_product_template_id task_template_id] }
    end
  end
end
