class CreateEcomModelTaskTemplateTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_task_template_types do |t|
      t.string :code, null: false
      t.string :name, null: false

      t.timestamps
    end

    add_index :ecom_model_task_template_types, :code, unique: true
    add_index :ecom_model_task_template_types, :name, unique: true
  end
end
