class CreateEcomModelResourceTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_model_resource_types do |t|
      t.string :code, null: false
      t.string :name, null: false
      t.string :base_unit, null: false
      t.string :type, null: false

      t.timestamps
    end

    add_index :ecom_model_resource_types, %i[code type], unique: true
    add_index :ecom_model_resource_types, %i[name type], unique: true
  end
end
